package org.takiguchi.cerberus.cerberusapp.service.servicemanager;

import org.springframework.stereotype.Service;
import org.takiguchi.cerberus.cerberusapp.model.Application;
import org.takiguchi.cerberus.cerberusapp.model.ServiceStatus;

@Service
public class LinuxServiceManager implements ServiceManager {
    @Override
    public ServiceStatus getStatus(Application application) {
        throw new IllegalStateException("LinuxServiceManager#getStatus not implemented.");
    }

    @Override
    public void start(Application application) {
        throw new IllegalStateException("LinuxServiceManager#start not implemented.");
    }

    @Override
    public void stop(Application application) {
        throw new IllegalStateException("LinuxServiceManager#stop not implemented.");
    }

    @Override
    public void restart(Application application) {
        throw new IllegalStateException("LinuxServiceManager#restart not implemented.");
    }
}
